//
//  IZegoAvatarCaptureProvider.h
//  ZegoAvatar
//
//  Created by justinsong on 2021/12/3.
//


#pragma once

#import <Foundation/Foundation.h>
#import "ZegoTypes.h"
#import "IZegoCharacter.h"


@protocol MTLTexture;

typedef void(^OnAvatarCaptureCallback)(id<MTLTexture> texture, int width, int height);

/** 角色类*/
@protocol IZegoAvatarCaptureProvider <NSObject>

@required
- (void)setCharacter:(id<IZegoCharacter> ) character;
- (void)startCaptureAvatar:(AvatarCaptureConfig*)config callback:(OnAvatarCaptureCallback)callback;
- (void)stopCaptureAvatar;
@end
